These code files represent the simulation implementation of the theoretical framework outlined in "Identifiability Analysis of Linear ODE Systems with Hidden Confounders."

Folder 1 (fix-true-param/single-d3p3-N100): 
This folder contains code that serves as a demonstrative example to verify Theorems 4.1 and 4.2. 
The results presented in Table 1 are generated executing the files with varying sample sizes (n = 10, 100, 500) and a repetition size (N = 100).

Folder 2 (fix-true-param/multiple-d3p3-N100): 
This folder provides code files designed to validate Theorems 4.3 and 4.4. 
Outcomes presented in Table 2 are obtained by executing this code file with sample sizes (n = 10, 30, 50) and a repetition size (N = 100).

Folder 3 (fix-true-param/single-d5p5-N50): 
These code files provide a higher-dimensional example for validating Theorems 4.1 and 4.2, with results presented in Table 5.
The simulation executes with sample sizes (n = 10, 100, 1000) and a repetition size (N = 100).

Folder 4 (fix-true-param/multiple-d10p5-N50): 
This folder contains higher-dimensional simulations designed to validate Theorems 4.3 and 4.4, with results depicted in Table 6.
Sample sizes (n = 10, 30, 50) are used with a repetition size (N = 100).

Folder 5 (various-true-params):
This folder provides additional simulations with varied ground-truth parameter configurations rather than a fixed parameter set. 
Each file in this folder corresponds to one in the fix-true-param folders, with results displayed in Tables 7, 8, 9, and 10, respectively.

The default configuration includes:
dimension of observable variables: d = 3,5,10
dimension of latent variables: p = 3,5
sample size: n = 10
repetition size: N = 100 or N = 50 


These default settings can be adjusted based on specific requirements, providing flexibility for users to tailor simulations to their analytical needs.
